| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__MlhgInfo Struct Reference
Multi Line Hunt Group

ML Hunt Group Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__HuntType * | HuntType
| The type of hunting algorithm used by the MLHG to determine which MLHG member should be presented with incoming calls to the Pilot DN. More...
enum unsp__PilotDnType * | PilotDnType
| Pilot DN Type. More...
char * | ExternalDN
| External DN. More...
char * | OverFlowDN
| Specifies the destination of unanswered incoming calls when the queue is full. More...
int * | ConfQueueSize
| Indicates the number of calls that may be queued waiting for an available terminal. More...
enum unsp__CallingPartySource * | CallingPartySource
| Calling Party Source. More...
int * | NoAnsAdvTime
| Indicates the time for which a terminal will ring before the hunting algorithm moves on to continue searching for the next available terminal. More...
xsd__boolean * | NoInterceptAnnouncement
| If set to true, no intercept announcement will be played when an incoming call is queued because no terminals are available. More...
char * | InterceptAnnoncementId
| Indicates the configured intercept announcement that is to be played when an incoming call is queued because no terminals are available. More...
char * | NightServiceDN
| The directory number or alphanumeric SIP URI to which calls are diverted when the Night Service feature is active. More...
xsd__boolean * | AutoMakeBusy
| Indicates whether DNs in MLHG are marked busy on auto advance timer expiry. More...
int * | MaxTimeInQueue
| Used to monitor the time in queue for calls to the MLHG. More...
unsp__Enabled * | NightServiceManualStatus
| Enables the operator to manually activate Night Service. More...
unsp__Enabled * | NightServiceAutomaticStatus
| Indicates whether automatic Night Service is active. More...
int * | PostCallTimer
| Number of seconds to pause after each call before presenting next call to same agent. More...
unsp__Enabled * | TMStatus
| Enables the operator to enable or disable Traffic Measurements for this MLHG. More...
int * | InQueueInterruptTime
| Specifies the time interval after which the InQueue InterruptIntercept announcement (if one is provisioned) will be played to callers in the MLHG's queue. More...
char * | InQueueInterruptIntercept
| Specifies the intercept announcement to be played to callers in the MLHG's queue periodically after the number of seconds specified in the InQueueInterruptTime. More...
xsd__boolean * | isMlhgRerouteAllowed
| When set, basic Subscriber Rerouting will be attempted in case a distributed call to a Hunt Group member is rejected due to Call Admission Control or WAN Failure. More...
xsd__boolean * | SendPilotDisplay
| When set, the Pilot's display information will be sent to the Hunt Group members when a call is hunted. More...
xsd__boolean * | isMlhgEnhancedRerouteAllowed
| When set, Enhanced Subscriber Rerouting will be attempted in case a distributed call to a Hunt Group member is rejected due to Call Admission Control. More...
char * | OverflowDnNoRerouting
| An Overflow destination is defined in case a distributed call to the Hunt Group member is rejected due to Call Admission Control or WAN Failure AND Subscriber Rerouting (Enhanced or Basic) either fails or is not allowed before advancing to the next member. More...
xsd__boolean * | AllowCallsToOverflow
| When set, MLHG provides unconditional routing required: false default value[range]: false. More...
xsd__boolean * | AllowUnansweredCallsToRequeue
| When set, if call isn't answered by an available hunt group member then the call will be Re-Queued. More...
bool * | AllowNonAudioCalls
| When set, non audio calls are allowed. More...
bool * | Send182QueuedResponse
| When set, an 182 queued response is sent when no intercept announcement is provided. More...

## Detailed Description

ML Hunt Group Information.

## Member Data Documentation

## ◆ AllowCallsToOverflow

xsd__boolean* unsp__MlhgInfo::AllowCallsToOverflow

When set, MLHG provides unconditional routing
required: false
default value[range]: false.

## ◆ AllowNonAudioCalls

bool* unsp__MlhgInfo::AllowNonAudioCalls

When set, non audio calls are allowed.

required: false
default value[range]: false

## ◆ AllowUnansweredCallsToRequeue

xsd__boolean* unsp__MlhgInfo::AllowUnansweredCallsToRequeue

When set, if call isn't answered by an available hunt group member then the call will be Re-Queued.

required: false
default value[range]: false

## ◆ AutoMakeBusy

xsd__boolean* unsp__MlhgInfo::AutoMakeBusy

Indicates whether DNs in MLHG are marked busy on auto advance timer expiry.

required: false
default value[range]: false

## ◆ CallingPartySource

enum unsp__CallingPartySource* unsp__MlhgInfo::CallingPartySource

Calling Party Source.

required: false
default value[range]: UseLineDnAndPilotDn

## ◆ ConfQueueSize

int* unsp__MlhgInfo::ConfQueueSize

Indicates the number of calls that may be queued waiting for an available terminal.

required: false
default value[range]: 511 [0..511]

## ◆ ExternalDN

char* unsp__MlhgInfo::ExternalDN

External DN.

required: false
default value[range]: NA

## ◆ HuntType

enum unsp__HuntType* unsp__MlhgInfo::HuntType

The type of hunting algorithm used by the MLHG to determine which MLHG member should be presented with incoming calls to the Pilot DN.

required: false
default value[range]: Linear

## ◆ InQueueInterruptIntercept

char* unsp__MlhgInfo::InQueueInterruptIntercept

Specifies the intercept announcement to be played to callers in the MLHG's queue periodically after the number of seconds specified in the InQueueInterruptTime.

required: true
default value[range]: NA [1..15]

## ◆ InQueueInterruptTime

int* unsp__MlhgInfo::InQueueInterruptTime

Specifies the time interval after which the InQueue InterruptIntercept announcement (if one is provisioned) will be played to callers in the MLHG's queue.

Note that the default value of 0 indicates that the announcement shall never be played.
required: false
default value[range]: 0 [0, 30..180]

## ◆ InterceptAnnoncementId

char* unsp__MlhgInfo::InterceptAnnoncementId

Indicates the configured intercept announcement that is to be played when an incoming call is queued because no terminals are available.

required: false
default value[range]: MLHG_Default [1..15]

## ◆ isMlhgEnhancedRerouteAllowed

xsd__boolean* unsp__MlhgInfo::isMlhgEnhancedRerouteAllowed

When set, Enhanced Subscriber Rerouting will be attempted in case a distributed call to a Hunt Group member is rejected due to Call Admission Control.

before advancing to the next member. It shall not be possible to enable the Enhanced Subscriber Rerouting for Hunt Groups with Hunting Type set to Parallel.
required: false
default value[range]: false

## ◆ isMlhgRerouteAllowed

xsd__boolean* unsp__MlhgInfo::isMlhgRerouteAllowed

When set, basic Subscriber Rerouting will be attempted in case a distributed call to a Hunt Group member is rejected due to Call Admission Control or WAN Failure.

The default value for this parameter shall be disabled before advancing to the next member. It shall not be possible to enable the Basic Subscriber Rerouting option for Hunt Groups with Hunting Type set to Hunting Type set to either Manual or Parallel.
required: false
default value[range]: false

## ◆ MaxTimeInQueue

int* unsp__MlhgInfo::MaxTimeInQueue

Used to monitor the time in queue for calls to the MLHG.

When the actual time exceeds the provisioned value and other conditions are met, the queued call is removed and routed to the OverflowDN, if any. If there is no OverflowDN, the call is routed to the Night Service DN, if any. If there is no Night Service DN, the call receives busy tone. If not provided, the default is 0, which is interpreted by call processing to mean that the value is not provisioned and a queued call will remain in the queue indefinitely.
required: false
default value[range]: NA [0..600]

## ◆ NightServiceAutomaticStatus

unsp__Enabled* unsp__MlhgInfo::NightServiceAutomaticStatus

Indicates whether automatic Night Service is active.

Read Only

## ◆ NightServiceDN

char* unsp__MlhgInfo::NightServiceDN

The directory number or alphanumeric SIP URI to which calls are diverted when the Night Service feature is active.

required: false

See also
  unsp__CFTarget

## ◆ NightServiceManualStatus

unsp__Enabled* unsp__MlhgInfo::NightServiceManualStatus

Enables the operator to manually activate Night Service.

required: false
default value[range]: false

## ◆ NoAnsAdvTime

int* unsp__MlhgInfo::NoAnsAdvTime

Indicates the time for which a terminal will ring before the hunting algorithm moves on to continue searching for the next available terminal.

required: false
default value[range]: 29 [5..3600]

## ◆ NoInterceptAnnouncement

xsd__boolean* unsp__MlhgInfo::NoInterceptAnnouncement

If set to true, no intercept announcement will be played when an incoming call is queued because no terminals are available.

required: false
default value[range]: false

## ◆ OverFlowDN

char* unsp__MlhgInfo::OverFlowDN

Specifies the destination of unanswered incoming calls when the queue is full.

This DN can be a DN, alphanumeric SIP URI or a private extension. If not specified, received calls that cannot be queued receive busy treatment.
required: false

See also
  unsp__CFTarget

## ◆ OverflowDnNoRerouting

char* unsp__MlhgInfo::OverflowDnNoRerouting

An Overflow destination is defined in case a distributed call to the Hunt Group member is rejected due to Call Admission Control or WAN Failure AND Subscriber Rerouting (Enhanced or Basic) either fails or is not allowed before advancing to the next member.

The Overflow Destination if No Rerouting option is applicable for distributed calls to all Hunt Group members. It is not exclusive for calls distributed to the last Hunt Group member.
required: false

See also
  unsp__CFTarget

## ◆ PilotDnType

enum unsp__PilotDnType* unsp__MlhgInfo::PilotDnType

Pilot DN Type.

Read Only

## ◆ PostCallTimer

int* unsp__MlhgInfo::PostCallTimer

Number of seconds to pause after each call before presenting next call to same agent.

If not provided, the default value of 0 is used, which indicates that there shall be no post call pause. Note that this value is ignored if the HuntType is Manual.
required: false
default value[range]: NA [0..120]

## ◆ Send182QueuedResponse

bool* unsp__MlhgInfo::Send182QueuedResponse

When set, an 182 queued response is sent when no intercept announcement is provided.

required: false
default value[range]: false

## ◆ SendPilotDisplay

xsd__boolean* unsp__MlhgInfo::SendPilotDisplay

When set, the Pilot's display information will be sent to the Hunt Group members when a call is hunted.

required: false
default value[range]: false

## ◆ TMStatus

unsp__Enabled* unsp__MlhgInfo::TMStatus

Enables the operator to enable or disable Traffic Measurements for this MLHG.

required: false
default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h